Bug 1145802 - Typo (data_dir) in shim-install
Typo (data_dir) in shim-install
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Bootloader
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Gary Ching-Pang Lin
Jiri Srain
obs:running:10928:moderate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-16 04:05 UTC by Gary Ching-Pang Lin
Modified: 2020-10-16 10:25 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gary Ching-Pang Lin 2019-08-16 04:05:03 UTC
There is a typo in shim-install in devel:openSUSE:Factory/shim-install introduced by "Move 'efi'-executables to '/usr/share/efi' (FATE#326960)".

The fix:

  datadir="/usr/share"
 -source_dir="${data_dir}/efi/${arch}"
 +source_dir="${datadir}/efi/${arch}"
Comment 1 Gary Ching-Pang Lin 2019-08-16 04:14:38 UTC
The typo is found in bsc#1145676.
Comment 3 Gary Ching-Pang Lin 2019-08-21 03:41:35 UTC
Closing this bug since the fix is accepted.
Comment 4 Swamp Workflow Management 2019-08-22 16:16:52 UTC
SUSE-RU-2019:2197-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1145676,1145802
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    shim-15+git47-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.